/Users/bernard/b20/bsoft/include/rwmodel_bild.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwmodel_bild.h - Header file for reading and writing Chimera BILD files.

SYNOPSIS

#include 'rwmodel.h'

  Functions
Bmodel * read_model_bild (Bstring *file_list)
Reads Chimera BILD model parameters.
int write_model_bild (Bstring &filename, Bmodel *model)
Writes Chimera BILD model parameters.
int model_to_bild_orientations (Bstring &filename, Bmodel *model, int vec_type, int color_type)
Converts a model into a representation with views.
int model_to_bild_view_sphere (Bstring &filename, Bmodel *model, int color_type)
Converts a model into a representation with views.
int model_to_bild_view_polygons (Bstring &filename, Bmodel *model, int order, int color_type)
Converts a model into a representation with view polygons.
int model_to_bild_polygons (Bstring &filename, Bmodel *model, int color_type)
Converts a model into a bild polygon representation.
int model_to_bild_neighbor_planes (Bstring &filename, Bmodel *model, int color_type)
Converts a model into a bild neighbor plane representation.

Detailed Description

Header file for reading and writing Chimera BILD files.

Author:
    Bernard Heymann

Date:
    Created: 20140706

    Modified: 20160616

Definition in file rwmodel_bild.h.

Function Documentation

  int model_to_bild_neighbor_planes (Bstring & filename, Bmodel * model, int color_type)

Converts a model into a bild neighbor plane representation.

Parameters:
    &filename bild format file name.
    *model model structure.
    color_type flag to color planes.

Returns:
    int 0, <0 on error.

    Color scheme types:
        1   spectrum/rainbow.
        2   fom.

Definition at line 593 of file rwmodel_bild.cpp.

  int model_to_bild_orientations (Bstring & filename, Bmodel * model, int vec_type, int color_type)

Converts a model into a representation with views.

Parameters:
    &filename bild format file name.
    *model model structure.
    vec_type 0=views, 1=vectors, 2=velocity vectors.
    color_type flag to color components.

Returns:
    int 0, <0 on error.

    A sphere is drawn for every component with a cylinder indicating its view.

Definition at line 275 of file rwmodel_bild.cpp.

  int model_to_bild_polygons (Bstring & filename, Bmodel * model, int color_type)

Converts a model into a bild polygon representation.

Parameters:
    &filename bild format file name.
    *model model structure.
    color_type flag to color polygons.

Returns:
    int 0, <0 on error.

    Color scheme types:
        1   spectrum/rainbow.
        2   fom.

Definition at line 523 of file rwmodel_bild.cpp.

  int model_to_bild_view_polygons (Bstring & filename, Bmodel * model, int order, int color_type)

Converts a model into a representation with view polygons.

Parameters:
    &filename bild format file name.
    *model model structure.
    order polygon order.
    color_type flag to color components.

Returns:
    int 0, <0 on error.

    A sphere is drawn for every component with a cylinder indicating its view.

Definition at line 444 of file rwmodel_bild.cpp.

  int model_to_bild_view_sphere (Bstring & filename, Bmodel * model, int color_type)

Converts a model into a representation with views.

Parameters:
    &filename bild format file name.
    *model model structure.
    color_type flag to color components.

Returns:
    int 0, <0 on error.

    A sphere is drawn for every component with a cylinder indicating its view.

Definition at line 362 of file rwmodel_bild.cpp.

  Bmodel* read_model_bild (Bstring * file_list)

Reads Chimera BILD model parameters.

Parameters:
    *file_list list of model parameter file names.

Returns:
    Bmodel* model parameters.

Definition at line 43 of file rwmodel_bild.cpp.

  int write_model_bild (Bstring & filename, Bmodel * model)

Writes Chimera BILD model parameters.

Parameters:
    &filename model parameter file name.
    *model model parameters.

Returns:
    int models written.

Definition at line 232 of file rwmodel_bild.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.